"""
Add log table

Revision ID: 65975fe040f9
Revises: fcc7f97c58cc
Create Date: 2018-07-10 11:17:07.993170

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '65975fe040f9'
down_revision = 'fcc7f97c58cc'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table('log',
                    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
                    sa.Column('created', sa.DateTime(), nullable=False),
                    sa.Column('category', sa.String(), nullable=False),
                    sa.Column('message', postgresql.JSONB(astext_type=sa.Text()), nullable=False),
                    sa.PrimaryKeyConstraint('id', name=op.f('pk_log')))
    op.create_index(op.f('ix_log_category'), 'log', ['category'], unique=False)


def downgrade():
    op.drop_index(op.f('ix_log_category'), table_name='log')
    op.drop_table('log')
